=begin JA

= 餯 dcpam5

# *   (morikawa), Ǽ¿ ů (noda), ⶶ ˧ (yot), ݹ  (takepiro)
#   * $Id: index.rd,v 1.4 2012-02-20 08:18:01 takepiro Exp $

=end JA

=begin EN

= RAKURAKU dcpam5

# * Yasuhiro MORIKAWA (morikawa), Satoshi NODA (noda), Yoshiyuki O. Takahashi (yot), Shin-ichi Takehiro (takepiro)
#   * $Id: index.rd,v 1.4 2012-02-20 08:18:01 takepiro Exp $

=end EN

=begin JA
== Ϥ

ʸ, dcpam5 ѤƼڤ˼¸
ԤΥ塼ȥꥢǤ. 

=end JA

=begin EN
== Introduction

This document is tutorial for performing experiments easily with 
dcpam5.

As an aside, "RAKURAKU" means "easier".

=end EN

=begin JA
== dcpam5 Υӥ

((<dcpam5 󥹥ȡ륬|URL:../../INSTALL.htm>)) 򻲹ͤ, 
dcpam5 ΥӥɤԤäƤ. 
֥ӥɤμפΡ֥ɤΥѥפޤǹԤäƤ. 

ӥɤλ, "src/main" ǥ쥯ȥʲ, 
((*dcpam_main*)), ((*init_data*)), ((*sst_data*))
Ȥä¹ԥե뤬ޤ. 
ޤΥǥ쥯ȥˤ, 
ĤΥץ NAMELIST ե (ĥҤ .nml Υե)
 "exp_setup_files" ѰդƤޤ. 

  $ ls exp_setup_files

  dcpam_ape_T21L16.nml
  dcpam_ape_T42L16.nml
  dcpam_hs94_T21L20.nml
  dcpam_hs94_T42L20.nml
  dcpam_main
  dcpam_main.F90
  init_data
  init_data.F90
  init_data_T21L16.nml
  init_data_T42L16.nml
  sst_data
  sst_data.F90
  sst_data_T21.nml
  sst_data_T42.nml

         :

=end JA

=begin EN
== Building dcpam5

Build dcpam5 referring to 
((<dcpam5 Installation Guide|URL:../../INSTALL.htm.en>)). 
Work until "Compile source code" in "How to build".

After building, 
executable files ((*dcpam_main*)), ((*init_data*)), ((*sst_data*)) 
are created under "src/main" directory. 
Some NAMELIST files (with suffix ".nml") are prepared in 
in "exp_setup_files" directory. 

  $ ls exp_setup_files

  dcpam_ape_T21L16.nml
  dcpam_ape_T42L16.nml
  dcpam_hs94_T21L20.nml
  dcpam_hs94_T42L20.nml
  dcpam_main
  dcpam_main.F90
  init_data
  init_data.F90
  init_data_T21L16.nml
  init_data_T42L16.nml
  sst_data
  sst_data.F90
  sst_data_T21.nml
  sst_data_T42.nml

         :

=end EN


=begin JA
=== ĤΥѥ˴ؤս

ưåԤäƤ, ⤷ϹԤäȤΤ
ĤΥѥ˴ؤս񤭤Ǥ. 

  * ((<Intel Fortran|URL:compiler_note.htm#ifort>))
  * ((<G95 Fortran|URL:compiler_note.htm#g95>))
  * ((<Fujitsu Fortran|URL:compiler_note.htm#frt>))

¾ΥѥˤĤƤƤϤޤ礬뤫⤷ޤΤ, 
ưåޤԤʤˤϤɤ. 

=end JA

=begin EN
=== Notes about some compilers

Notes about some compilers that are done the operation check or have done
are as follows.

  * ((<Intel Fortran|URL:compiler_note.htm.en#ifort>))
  * ((<G95 Fortran|URL:compiler_note.htm.en#g95>))
  * ((<Fujitsu Fortran|URL:compiler_note.htm.en#frt>))

Read it through if the following operation check doesn't go well, 
because it is likely to apply about other compilers. 

=end EN


=begin JA
== ¸μ¹

, Ĥμ¸μ¹ˡˤĤƤ򵭤ޤ.
Ϥ dcpam Ȥͤ, ޤɤ줫 1 Ĥμ¸
(㤨СPolvani et al. (2004) η԰ư¸) 
äƤäƤߤƲ.

ʤߤ, ɤμ¸¹Ԥˤϰʲ 4 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸ѥǡν
    * ¸ѥǡȤ, 㤨, ɽ̲, Ϸ, ʬۤΥạ̇̄ޤ
  * ¸μ¹

ʤ, ¸ǥ쥯ȥν, ɬɬפޤ. 
Ǥ, ¸̤¾ΤΤȺäƤޤȤɤ, 
Ƽ¸Ȥ˥ǥ쥯ȥƤޤ. 

=end JA
=begin EN
== Execution of experiments

List described below is descriptions on procedures for performing 
dcpam5 test experiments.
For beginners, 
performing one experiment (for example, Baroclinic wave experiment 
by Polvani et al. (2004)) is recommended
following procedures described in each page.

All experiments using dcpam5 are performed with the following four steps:

  * Preparation of directory for an experiment
  * Preparation of initial condition
  * Preparation of additional data for experiments
    * Additional data mean data of sea surface temperature (SST), topography, ozone distribution
  * Execution of experiments

Note that the preparation of directory for an experiment is not necessary required. 
Here, a directory is created to isolate configuration files and result files 
in an experiment from those from another one. 
#Note that several experiments can share a directory for experiments, and 
#an initial condition data can be shared with several experiments.
#On the one hand, an initial condition data can be generated internally when the 
#experiments are performed without preparing an initial condition. 
#This is also the case for additional data for experiments. 

In the followings, methods for performing several experiments are described. 

=end EN


=begin JA
=== Polvani et al. (2004) η԰ư¸
Polvani et al. (2004) ǹԤ줿, ԰ưμ¸¹Ԥˡ((<|URL:./exp-p04.htm>))ޤ. 
=end JA
=begin EN
=== Baroclinic wave experiment by Polvani et al. (2004)
A method to perform a baroclinic wave experiment by Polvani et al. (2004) is described ((<here|URL:./exp-p04.htm.en>)).
=end EN

=begin JA
=== Held and Suarez (1994) ˤϳإ¸
Held and Suarez (1994) Ƥ, 
絤۴ĥǥϳزɾ뤿
¸¹Ԥˡ((<|URL:./exp-hs94.htm>))ޤ. 
=end JA
=begin EN
=== Dynamical core experiment by Held and Suarez (1994)
A method to perform dynamical core experiment proposed by
Held and Suarez (1994) is described ((<here|URL:./exp-hs94.htm.en>)).
=end EN

=begin JA
=== ¸ (Dennou AGCM5 version)
ɽ̤ƿǤ褦ʾ () 
Ǽ¸Ԥˡ((<|URL:./exp-ape.htm>))ޤ. 
=end JA
=begin EN
=== Aqua planet experiment (Dennou AGCM5 version)
A method to perform an aqua planet experiment
(planetary surface is covered by watar) is described ((<here|URL:./exp-ape.htm.en>)).
=end EN

=begin JA
=== Neale and Hoskins (2001) ˤ¸
Neale and Hoskins (2001) ˤäƤ줿, ɽ̤ƿǤ褦ʾ () 
Ǽ¸Ԥˡ((<|URL:./exp-ape-nh01.htm>))ޤ. 
=end JA
=begin EN
=== Aqua planet experiment by Neale and Hoskins (2001)
A method to perform an aqua planet experiment
(planetary surface is covered by watar) proposed by Neale and Hoskins (2001) 
is described ((<here|URL:./exp-ape-nh01.htm.en>)).
=end EN

=begin JA
=== Neale and Hoskins (2001) ˤ¸ (оη׻)
Neale and Hoskins (2001) ˤäƤ줿, ɽ̤ƿǤ褦ʾ () 
, оΥǥѤƼ¸Ԥˡ((<|URL:./exp-ape-nh01-axisym.htm>))ޤ. 
=end JA
=begin EN
=== Aqua planet experiment by Neale and Hoskins (2001) (Axisymmetric calculation)
A method to perform an aqua planet experiment
(planetary surface is covered by watar) proposed by Neale and Hoskins (2001) 
with an axisymmetric version of model 
is described ((<here|URL:./exp-ape-nh01-axisym.htm.en>)).
=end EN

=begin JA
=== ϵ¸
ϵμ¸Ԥˡ((<|URL:./exp-Earth.htm>))ޤ. 
=end JA
=begin EN
=== Experiment for the Earth
A method to perform an experiment for the Earth is described ((<here|URL:./exp-Earth.htm.en>)).
=end EN

=begin JA
=== ¸
μ¸Ԥˡ((<|URL:./exp-Mars.htm>))ޤ. 
=end JA
=begin EN
=== Mars experiment
A method to perform a Mars experiment is described ((<here|URL:./exp-Mars.htm.en>)).
=end EN

=begin JA
=== Ū¸
Yamamoto and Takahashi (2003) ˻ͿŪ
¸¹Ԥˡ((<|URL:./exp-Venuslike.htm>))ޤ. 
=end JA
=begin EN
=== Experiment for Venus-like planet
A method to perform an experiment for Venus-like planet by using forcing by 
Yamamoto and Takahashi (2003) is described ((<here|URL:./exp-Venuslike.htm.en>)).
=end EN



=begin JA
== ñʲϡĻ벽

ñʲϡĻ벽ˤĤƤ ((<|URL:./visualization.htm>)) 򻲾ȤƤ. 

#¾ˤ, ϡĻ벽꼫ߤ˹Ԥ
#CUI (饯桼󥿡ե) ġ
#((<GPhys|URL:http://ruby.gfd-dennou.org/products/gphys/>))
#(((<塼ȥꥢ|URL:http://ruby.gfd-dennou.org/products/gphys/tutorial/>)))
#ʤɤ⤢뤿, ºݤ˲ϡĻ벽Ԥݤˤ, ŬǻѤƤ. 

=end JA

=begin EN
== First step analysis and visualization

Please see ((<here|URL:./visualization.htm.en>)) for simple analysis and visualization. 

#Detailed documents for analysis and visualization can be found in pages about
#((<GPhys|URL:http://ruby.gfd-dennou.org/products/gphys/>)). 
#Please select and use these tools for analysis and visualization.

=end EN




=begin JA

== ¸ѹ

¸ΤĤˤĤѹˡ ((<|URL:./changesetup.htm>)) ޤ. 

=end JA
=begin EN

== Change experimental setup

Ways how to change several experimental setup is described ((<here|URL:./changesetup.htm>)). 

=end EN




##################################################################
#
#
#=begin JA
#== λȤѹ
#
#=== λ
#
#׻ɸϤؤɽޤ. 
#((<¹: 絤Ǥϳز٥ޡ׻ (Held and Suarez, 1994)>))
#Ǥ tee ޥɤˤ, Ϥ줿ɸϤ "hs94.log" ե
#񤭤,  "hs94.log" ƥȥ塼įƤߤޤ礦.
#
#  $ more hs94.log
#
#ʲǤ, ɽƤΰ⤷ޤ.
#
#׻ϻ, λ, ֥ƥå, 
#λͽ¬ɽֳ, CPU ַ¬Υ󥪥դǤ. 
#((<timeset ⥸塼|URL:../../code_reference/htm/classes/timeset.html>))
#ǴƤޤ. 
#
#    |*** MESSAGE [timeset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [timeset] ***    StartTime  = 0. [day]
#    |*** MESSAGE [timeset] ***    EndTime    = 10. [day]
#    |*** MESSAGE [timeset] ***    DelTime    = 30. [min]
#    |*** MESSAGE [timeset] ***               = 1800. [sec]
#    |*** MESSAGE [timeset] ***    PredictInt = 6. [hrs]
#    |*** MESSAGE [timeset] ***    CpuTimeMoniter = T
#    |*** MESSAGE [timeset] ***  -- version = ...
#
#
#¸ɽ, ǡ, ǡ/ȿǤ.
#Ͻϥǡ°ؤͿޤ. 
#((<fileset ⥸塼|URL:../../code_reference/htm/classes/fileset.html>))
#ǴƤޤ. 
#    
#    |*** MESSAGE [fileset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [fileset] ***    FileTitle       = Held and Suarez (1994) benchmark test
#    |*** MESSAGE [fileset] ***    FileSource      = dcpam5 (http://www.gfd-dennou.org/library/dcpam)
#    |*** MESSAGE [fileset] ***    FileInstitution = GFD Dennou Club (http://www.gfd-dennou.org)
#    |*** MESSAGE [fileset] ***  -- version ...
#
#ȿ, ٳʻ, ٳʻ, ľؿǤ. 
#((<gridset ⥸塼|URL:../../code_reference/htm/classes/gridset.html>))
#ǴƤޤ. 
#
#    |*** MESSAGE [gridset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [gridset] ***    nmax = 21
#    |*** MESSAGE [gridset] ***    imax = 64
#    |*** MESSAGE [gridset] ***    jmax = 32
#    |*** MESSAGE [gridset] ***    kmax = 20
#    |*** MESSAGE [gridset] ***  -- version ...
#
#ʪǤ. 
#((<constants ⥸塼|URL:../../code_reference/htm/classes/constants.html>))
#ǴƤޤ. ͤξܺ٤ϤΥ⥸塼Υޥ˥奢򻲾ȤƤ. 
#
#    |*** MESSAGE [constants] ***  ----- Initialization Messages -----
#    |*** MESSAGE [constants] ***    PI         = 3.141592653589793
#    |*** MESSAGE [constants] ***    GasRUniv   = 8.314
#    |*** MESSAGE [constants] ***    StB        = 0.567E-07
#    |*** MESSAGE [constants] ***    FKarm      = 0.4
#    |*** MESSAGE [constants] ***    RPlanet    = 6371000.
#    |*** MESSAGE [constants] ***    Omega      = 0.7292106590880652E-04
#    |*** MESSAGE [constants] ***    Grav       = 9.800000000000001
#    |*** MESSAGE [constants] ***    CpDry      = 1004.6
#    |*** MESSAGE [constants] ***    MolWtDry   = 0.28964E-01
#    |*** MESSAGE [constants] ***    GasRDry    = 287.0459881231874
#    |*** MESSAGE [constants] ***    CpWet      = 1810.
#    |*** MESSAGE [constants] ***    MolWtWet   = 0.1801528E-01
#    |*** MESSAGE [constants] ***    GasRWet    = 461.4971291037386
#    |*** MESSAGE [constants] ***    LatentHeat = 2500000.
#    |*** MESSAGE [constants] ***    EpsV       = 0.6219886755972932
#    |*** MESSAGE [constants] ***  -- version ...
#
#ꥹȥǡϤ˴ؤǤ. 
#((<restart_file_io ⥸塼|URL:../../code_reference/htm/classes/restart_file_io.html>))
#ǴƤޤ. ͤξܺ٤ϤΥ⥸塼Υޥ˥奢򻲾ȤƤ. 
#
#    |*** MESSAGE [restart_file_io] ***  ----- Initialization Messages -----
#    |*** MESSAGE [restart_file_io] ***  Input::
#    |*** MESSAGE [restart_file_io] ***    InputFile  = <Non>
#    |*** MESSAGE [restart_file_io] ***    ** Initial data is generated in "initial_data" module
#    |*** MESSAGE [restart_file_io] ***  Output::
#    |*** MESSAGE [restart_file_io] ***    OutputFile = restart.nc
#    |*** MESSAGE [restart_file_io] ***    IntTime    = 1. [day]
#    |*** MESSAGE [restart_file_io] ***  -- version ...
#
#ҥȥǡνϤ˴ؤǤ. 
#ҥȥǡνϤˤ
#((<"gtool5 Fortran 90/95 饤֥"|URL:http://www.gfd-dennou.org/library/gtool/gtool5.htm>)) 
# gtool_historyauto ⥸塼ѤƤ, 
# gtool_historyauto ⥸塼ˤäƽϤåǤ. 
#ͤΰ̣ʤɤ, ((<ѹ>)) 򻲾ȤƤ. 
##ͤξܺ٤, 
##((<|URL:http://www.gfd-dennou.org/library/gtool/gtool5/gtool5_current/doc/code_reference/classes/NAMELIST.html>))
##򻲾ȤƤ. 
#
#    |*** MESSAGE [HistAuto] ***  ----- "gtool_historyauto_nml" is not loaded" -----
#    |*** MESSAGE [HistAuto] ***  Global Settings:
#    |*** MESSAGE [HistAuto] ***    AllOutput       = T
#    |*** MESSAGE [HistAuto] ***    FilePrefix      =
#    |*** MESSAGE [HistAuto] ***    Interval        = 1. [day]
#    |*** MESSAGE [HistAuto] ***    Precision       = float
#    |*** MESSAGE [HistAuto] ***    TimeAverage     = F
#    |*** MESSAGE [HistAuto] ***    Origin          = 0. [sec]
#    |*** MESSAGE [HistAuto] ***    Terminus        = 10. [day]
#    |*** MESSAGE [HistAuto] ***    SliceStart      = (/ 1, 1, 1, 1, 1 /)
#    |*** MESSAGE [HistAuto] ***    SliceEnd        = (/ -1, -1, -1, -1, -1 /)
#    |*** MESSAGE [HistAuto] ***    SliceStride     = (/ 1, 1, 1, 1, 1 /)
#    |*** MESSAGE [HistAuto] ***    SpaceAverage    = (/ F, F, F, F, F /)
#    |*** MESSAGE [HistAuto] ***    NewFileInterval = -1 [day]
#    |*** MESSAGE [HistAuto] ***
#
#ϳز˴ؤǤ. 
#((<dynamics_hspl_vas83 ⥸塼|URL:../../code_reference/htm/classes/dynamics_hspl_vas83.html>))
#ǴƤޤ. ͤξܺ٤ϤΥ⥸塼Υޥ˥奢򻲾ȤƤ. 
#
#    |*** MESSAGE [dynamics_hspl_vas83] ***  ----- Initialization Messages -----
#    |*** MESSAGE [dynamics_hspl_vas83] ***    TimeIntegScheme  = Semi-implicit
#    |*** MESSAGE [dynamics_hspl_vas83] ***    EFoldTime = 0.1 [day]
#    |*** MESSAGE [dynamics_hspl_vas83] ***    VisOrder  = 8
#    |*** MESSAGE [dynamics_hspl_vas83] ***    VisCoef   = 0.214573634546703E+43
#    |*** MESSAGE [dynamics_hspl_vas83] ***    RefTemp   = 300.
#    |*** MESSAGE [dynamics_hspl_vas83] ***  -- version ...
#
#=== ѹ
#
#׻ѹˤ NAMELIST եԽ, ¹Ի -N=
#ץ˻ꤷޤ. 
#Ǥ, 嵭ǻѤ
#((<dcpam_hs94_T21L20.nml|URL:../../../src/main/dcpam_hs94_T21L20.nml>))
#ԽƤߤޤ. 
#ʲ dcpam_hs94_T21L20.nml ƬǤ. 
#
#    #= dcpam_hs94 ץ NAMELIST ե (T21L20 )
#    #= NAMELIST file for "dcpam_hs94"
#    #
#
#    &dcpam_main_nml
#      FlagAPE  = .false.,         ! ʪ (APE) ׻󡿥. 
#                                  ! Physical processes (APE) calculation on/off. 
#      FlagHS94 = .true.           ! Held and Suarez (1994) 󡿥. 
#                                  ! Held and Suarez (1994) forcing on/off. 
#    /
#    &fileset_nml
#      FileTitle = 'Held and Suarez (1994) benchmark test', 
#                                  ! ϥǡեɽ.
#                                  ! Title of output data files
#      FileSource = 'dcpam5 (http://www.gfd-dennou.org/library/dcpam)', 
#                                  ! ǡեμ. 
#                                  ! Source of data file
#      FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
#                                  ! ǡեǽŪѹȿ/Ŀ. 
#                                  ! Institution or person that changes data files for the last time
#    /
#    &gridset_nml
#      nmax = 21,                  ! ȿ. 
#                                  ! Maximum truncated wavenumber
#      imax = 64,                  ! ٳʻ. 
#                                  ! Number of grid points in longitude
#      jmax = 32,                  ! ٳʻ. 
#                                  ! Number of grid points in latitude
#      kmax = 20                   ! ľؿ. 
#                                  ! Number of vertical level
#    /
#                   :
#
#ʬ֤ˤĤѹƤߤޤ礦. ǥѤ,
#dcpam_hs94_T21L20.nml  ((*&timeset_nml*))  ((*EndTimeValue*))
#ʲΤ褦ѹƤ.
#
#  &timeset_nml
#              : 
#    EndTimeValue    = 20.0, 
#                                ! ׻λ. 
#                                ! End time of calculation
#    EndTimeUnit     = 'day', 
#                                ! ׻ϻñ. 
#                                ! Unit of end time of calculation
#
# NAMELIST եɤ߹ޤ dcpam_main ¹Ԥ뤳Ȥˤ,
#20 ʬη׻Ԥޤ. 
#
#Խä, ʲΤ褦
#ץ -N (ޤ --namelist)  NAMELIST եꤷĤ, 
#¹ԥޥɤϤƤ. 
#
#  $ ./dcpam_main -N=dcpam_hs94_T21L20.nml | tee hs94-T21L20.log
#
#   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "dcpam_hs94_T21L20.nml".
#   *** MESSAGE [timeset] ***  ----- Initialization Messages -----
#   *** MESSAGE [timeset] ***    StartTime  = 0. [day]
#   *** MESSAGE [timeset] ***    EndTime    = 20. [day]
#   *** MESSAGE [timeset] ***    DelTime    = 30. [min]
#   *** MESSAGE [timeset] ***               = 1800. [sec]
#   *** MESSAGE [timeset] ***    PredictInt = 6. [hrs]
#   *** MESSAGE [timeset] ***    CpuTimeMoniter = T
#   *** MESSAGE [timeset] ***  -- version = ....
#                         : 
#
#¾ˤ dcpam_hs94_T21L20.nml ˵ҤƤ
#"&xxxxxx_nml" Ȥ NAMELIST ѿ̾, 줾⥸塼 xxxxxx 
#ͤǤ. dcpam5 Ǵ NAMELIST ѿ̾ΥꥹȤ
#ͤξܺ٤ˤĤƤ
#((<dcpam5 NAMELIST|URL:../../code_reference/htm/classes/NAMELIST.html>))
#黲ȲǽǤ.
#̤ͤץȤƵҤƤ
#((<dcpam_hs94_T42L20.nml|URL:../../../src/main/dcpam_hs94_T42L20.nml>))
#ѰդƤΤ, ⻲Ȥ. 
#
#((*&gtool_historyauto_nml*)) ˴ؤƤ
#((<ѹ>)) 򻲾ȤƤ. 
#
#
#=end JA
#
#=begin EN
#== Refer and Change configuration
#
#=== Refer configuration
#
#Setting values of calculation is output to standard output. 
#In ((<Run: Dry atmosphere benchmark experiment for dynamical core suggested by Held and Suarez (1994)>)), 
#the messages were written to standard output and a file "hs94.log". 
#See the "hs94.log". 
#
#A part of displayed contents is explained. 
#
#Start time of calculation, end time of calculation, time step, 
#Interval of predicted end time output, On/off of CPU time monitoring are
#displayed. 
#These values are managed in
#((<timeset module|URL:../../code_reference/htm/classes/timeset.html>)). 
#
#    |*** MESSAGE [timeset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [timeset] ***    StartTime  = 0. [day]
#    |*** MESSAGE [timeset] ***    EndTime    = 10. [day]
#    |*** MESSAGE [timeset] ***    DelTime    = 30. [min]
#    |*** MESSAGE [timeset] ***               = 1800. [sec]
#    |*** MESSAGE [timeset] ***    PredictInt = 6. [hrs]
#    |*** MESSAGE [timeset] ***    CpuTimeMoniter = T
#    |*** MESSAGE [timeset] ***  -- version = ...
#
#
#Title of experiments, source of data, institutions are displayed. 
#These are given to global attributes of output data. 
#These values are managed in 
#((<fileset module|URL:../../code_reference/htm/classes/fileset.html>)).
#    
#    |*** MESSAGE [fileset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [fileset] ***    FileTitle       = Held and Suarez (1994) benchmark test
#    |*** MESSAGE [fileset] ***    FileSource      = dcpam5 (http://www.gfd-dennou.org/library/dcpam)
#    |*** MESSAGE [fileset] ***    FileInstitution = GFD Dennou Club (http://www.gfd-dennou.org)
#    |*** MESSAGE [fileset] ***  -- version ...
#
#Maximum truncated wavenumber, number of grid points in longitude and
#latitude, number of vertical level are displayed. 
#These values are managed in
#((<gridset module|URL:../../code_reference/htm/classes/gridset.html>)).
#
#    |*** MESSAGE [gridset] ***  ----- Initialization Messages -----
#    |*** MESSAGE [gridset] ***    nmax = 21
#    |*** MESSAGE [gridset] ***    imax = 64
#    |*** MESSAGE [gridset] ***    jmax = 32
#    |*** MESSAGE [gridset] ***    kmax = 20
#    |*** MESSAGE [gridset] ***  -- version ...
#
#Some physical constants are displauyed. 
#These values are managed in
#((<constants module|URL:../../code_reference/htm/classes/constants.html>)).
#See a manual of this module for details. 
#
#    |*** MESSAGE [constants] ***  ----- Initialization Messages -----
#    |*** MESSAGE [constants] ***    PI         = 3.141592653589793
#    |*** MESSAGE [constants] ***    GasRUniv   = 8.314
#    |*** MESSAGE [constants] ***    StB        = 0.567E-07
#    |*** MESSAGE [constants] ***    FKarm      = 0.4
#    |*** MESSAGE [constants] ***    RPlanet    = 6371000.
#    |*** MESSAGE [constants] ***    Omega      = 0.7292106590880652E-04
#    |*** MESSAGE [constants] ***    Grav       = 9.800000000000001
#    |*** MESSAGE [constants] ***    CpDry      = 1004.6
#    |*** MESSAGE [constants] ***    MolWtDry   = 0.28964E-01
#    |*** MESSAGE [constants] ***    GasRDry    = 287.0459881231874
#    |*** MESSAGE [constants] ***    CpWet      = 1810.
#    |*** MESSAGE [constants] ***    MolWtWet   = 0.1801528E-01
#    |*** MESSAGE [constants] ***    GasRWet    = 461.4971291037386
#    |*** MESSAGE [constants] ***    LatentHeat = 2500000.
#    |*** MESSAGE [constants] ***    EpsV       = 0.6219886755972932
#    |*** MESSAGE [constants] ***  -- version ...
#
#Information of input/output of restart data are displayed. 
#These values are managed in
#((<restart_file_io module|URL:../../code_reference/htm/classes/restart_file_io.html>)). 
#See a manual of this module for details. 
#
#    |*** MESSAGE [restart_file_io] ***  ----- Initialization Messages -----
#    |*** MESSAGE [restart_file_io] ***  Input::
#    |*** MESSAGE [restart_file_io] ***    InputFile  = <Non>
#    |*** MESSAGE [restart_file_io] ***    ** Initial data is generated in "initial_data" module
#    |*** MESSAGE [restart_file_io] ***  Output::
#    |*** MESSAGE [restart_file_io] ***    OutputFile = restart.nc
#    |*** MESSAGE [restart_file_io] ***    IntTime    = 1. [day]
#    |*** MESSAGE [restart_file_io] ***  -- version ...
#
#Information of output of history data are displayed. 
#These values are managed in "gtool_historyauto" module of 
#((<"gtool5 Fortran 90/95 library"|URL:http://www.gfd-dennou.org/library/gtool/gtool5.htm.en>)). 
#See
#((<this manual|URL:http://www.gfd-dennou.org/library/gtool/gtool5/gtool5_current/doc/code_reference/classes/NAMELIST.html>))
#for details. 
#
#    |*** MESSAGE [HistAuto] ***  ----- "gtool_historyauto_nml" is not loaded" -----
#    |*** MESSAGE [HistAuto] ***  Global Settings:
#    |*** MESSAGE [HistAuto] ***    AllOutput       = T
#    |*** MESSAGE [HistAuto] ***    FilePrefix      =
#    |*** MESSAGE [HistAuto] ***    Interval        = 1. [day]
#    |*** MESSAGE [HistAuto] ***    Precision       = float
#    |*** MESSAGE [HistAuto] ***    TimeAverage     = F
#    |*** MESSAGE [HistAuto] ***    Origin          = 0. [sec]
#    |*** MESSAGE [HistAuto] ***    Terminus        = 10. [day]
#    |*** MESSAGE [HistAuto] ***    SliceStart      = (/ 1, 1, 1, 1, 1 /)
#    |*** MESSAGE [HistAuto] ***    SliceEnd        = (/ -1, -1, -1, -1, -1 /)
#    |*** MESSAGE [HistAuto] ***    SliceStride     = (/ 1, 1, 1, 1, 1 /)
#    |*** MESSAGE [HistAuto] ***    SpaceAverage    = (/ F, F, F, F, F /)
#    |*** MESSAGE [HistAuto] ***    NewFileInterval = -1 [day]
#    |*** MESSAGE [HistAuto] ***
#
#Information of setting values of dynamical core are displayed. 
#These values are managed in
#((<dynamics_hspl_vas83 module|URL:../../code_reference/htm/classes/dynamics_hspl_vas83.html>)). 
#See a manual of this module for details. 
#
#    |*** MESSAGE [dynamics_hspl_vas83] ***  ----- Initialization Messages -----
#    |*** MESSAGE [dynamics_hspl_vas83] ***    TimeIntegScheme  = Semi-implicit
#    |*** MESSAGE [dynamics_hspl_vas83] ***    EFoldTime = 0.1 [day]
#    |*** MESSAGE [dynamics_hspl_vas83] ***    VisOrder  = 8
#    |*** MESSAGE [dynamics_hspl_vas83] ***    VisCoef   = 0.214573634546703E+43
#    |*** MESSAGE [dynamics_hspl_vas83] ***    RefTemp   = 300.
#    |*** MESSAGE [dynamics_hspl_vas83] ***  -- version ...
#
#
#=== Change configuration
#
#In order to configure the settings of calculation, 
#edit a NAMELIST file, and specify the file to "-N" option of an execution.
#Here, above '((<dcpam_hs94_T21L20.nml|URL:../../../src/main/dcpam_hs94_T21L20.nml>))'
#is edited. 
#A part of 'dcpam_hs94_T21L20.nml' is showed as follows. 
#
#    #= NAMELIST file for "dcpam_hs94"
#    #
#
#    &dcpam_main_nml
#      FlagAPE  = .false.,         ! Physical processes (APE) calculation on/off. 
#      FlagHS94 = .true.           ! Held and Suarez (1994) forcing on/off. 
#    /
#    &fileset_nml
#      FileTitle = 'Held and Suarez (1994) benchmark test', 
#                                  ! Title of output data files
#      FileSource = 'dcpam5 (http://www.gfd-dennou.org/library/dcpam)', 
#                                  ! Source of data file
#      FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
#                                  ! Institution or person that changes data files for the last time
#    /
#    &gridset_nml
#      nmax = 21,                  ! Maximum truncated wavenumber
#      imax = 64,                  ! Number of grid points in longitude
#      jmax = 32,                  ! Number of grid points in latitude
#      kmax = 20                   ! Number of vertical level
#    /
#                   :
#
#Change end time of integration. Edit 
#((*EndTimeValue*)) of ((*&timeset_nml*)) in "dcpam_hs94_T21L20.nml"
#as follows.
#
#  &timeset_nml
#              : 
#    EndTimeValue    = 20.0,     ! End time of calculation
#    EndTimeUnit     = 'day',    ! Unit of end time of calculation
#
#20 days integration is performed when "dcpam_main" is executed with
#this NAMELIST file. 
#
#After edit, execute with '-N' (or '--namelist') option as follows.
#
#  $ ./dcpam_main -N=dcpam_hs94_T21L20.nml | tee hs94-T21L20.log
#
#   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "dcpam_hs94_T21L20.nml".
#   *** MESSAGE [timeset] ***  ----- Initialization Messages -----
#   *** MESSAGE [timeset] ***    StartTime  = 0. [day]
#   *** MESSAGE [timeset] ***    EndTime    = 20. [day]
#   *** MESSAGE [timeset] ***    DelTime    = 30. [min]
#   *** MESSAGE [timeset] ***               = 1800. [sec]
#   *** MESSAGE [timeset] ***    PredictInt = 6. [hrs]
#   *** MESSAGE [timeset] ***    CpuTimeMoniter = T
#   *** MESSAGE [timeset] ***  -- version = ....
#                         : 
#
#A NAMELIST group name "&xxxxxx_nml" is managed by "xxxxxx" module.
#List of NAMELIST group names managed in dcpam5 is 
#((<dcpam5 NAMELIST|URL:../../code_reference/htm/classes/NAMELIST.html>)). 
#See this manual for details.
#
#
#See ((<Configure output settings>)) about 
#((*&gtool_historyauto_nml*))
#
#
#=end EN
#
#=begin JA
#== ѹ
#
#=== gtool_historyauto_nml γƹ
#
#ѤΥҥȥǡνϤ˴ؤϰʲ
#((*&gtool_historyauto_nml*)) Խ뤳ȤǹԤޤ.
#
#  ! ҥȥǡϤ
#  ! Global settings about history data output
#  !
#  &gtool_historyauto_nml
#    IntValue = 1.0,
#                                ! ҥȥǡνϴֳ֤ο. 
#                                ! ͤͿ, Ϥ޻ߤޤ. 
#                                !
#                                ! Numerical value for interval of history data output
#                                ! Negative values suppresses output.
#    IntUnit = 'day',
#                                ! ҥȥǡνϴֳ֤ñ. 
#                                ! Unit for interval of history data output
#    Precision = 'float',     ! ñ
#                                ! ҥȥǡ. 
#                                ! Precision of history data
#    FilePrefix = '',
#                                ! ҥȥǡΥե̾Ƭ. 
#                                ! Prefixes of history data filenames
#  /
#  !
#  ! ҥȥǡϤθ
#  ! Individual settings about history data output
#  !
#  &gtool_historyauto_nml
#    Name = 'U, V, Temp, Ps, QVap, Vor, Div, SigDot, DPiDt'
#  /
#  &gtool_historyauto_nml
#    Name = 'Mass, KinEngy, IntEngy, PotEngy, LatEngy, TotEngy, Enstro', 
#    SpaceAverage = .true., .true., .true., .true., .true.
#  /
#
#줾ܤˤĤưʲ˵ޤ.
#ܤˤĤƤ,
#((<gtool5 塼ȥꥢ: ¿ΥեϤԤǥǤΥǡ -- ǽʹ|URL:http://www.gfd-dennou.org/library/gtool/gtool5/gtool5_current/doc/tutorial/gtauto_first.htm#label-7>))
#򻲾Ȥ. 
#
#: IntValue
#  (¿) ϴֳ֤ο
#
#: IntUnit
#  (ʸ) ϴֳ֤ñ. "sec", "min", "hour", "day", "month", "year" ʤɤ
#  ѲǽǤ.
#  Ѳǽñ̤ξܺ٤ˤĤƤ, 
#  ((<gtool5 饤֥: dc_date_types ⥸塼|URL:http://www.gfd-dennou.org/library/gtool/gtool5/gtool5_current/doc/code_reference/classes/dc_date_types.html>)) 
#  "Characters list for unit" 򻲾Ȥ. 
#  
#: Precision
#  (ʸ) ǡ. "float" (ñټ¿), "double" (ټ¿), "int" () ǽ
#  
#: SpaceAverage
#  () ʿѤΥե饰. 
#   1 , 2 , 3 ܤ, , , () бޤ.
#  
#((*Name*)) ꤷʤ, ⤷϶ʸͿ,
#ƤѿФǥեȤʤޤ.
#ξˤΤͭʹܤȤưʲΤΤޤ. 
#
#: FilePrefix
#  (ʸ) ǡΥե̾Ƭ.
#  㤨 "exp1-" Ȼꤹ, ѿ "U" νϥե̾ "exp1-U.nc" Ȥʤޤ.
#  ޤ, "data01/" Τ褦˥åޤʸꤹ뤳Ȥ,
#  ȥǥ쥯ȥʳξ˽Ϥ褦ꤹ뤳ȤǽǤ. 
#
#
#=== ѹ
#
#ʲǤ, Ϥѿ U (®), V (®), Temp (), Ps (ɽ̵), 
#SigDot (ľ) ΤߤȤ, Ϥδֳ֤ 3 ֤ˤƤߤޤ礦.
#ޤ, ե "data01" Ȥǥ쥯ȥʲ˺Ƥߤޤ礦.
#
#ƤӥǥѤ, dcpam_hs94_T21L20.nml  ((*&gtool_historyauto_nml*)) 
#ʲΤ褦ѹƤ.
#
#  ! ҥȥǡϤ
#  ! Global settings about history data output
#  !
#  &gtool_historyauto_nml
#    IntValue = 3.0,
#    IntUnit = 'hrs',
#    Precision = 'float', 
#    FilePrefix = 'data01/',
#  /
#  !
#  ! ҥȥǡϤθ
#  ! Individual settings about history data output
#  !
#  &gtool_historyauto_nml
#    Name = 'U, V, Temp, Ps, SigDot'
#  /
#
#=== ѹƤκƼ¹
#
#¹Ԥ, ǡνǤǥ쥯ȥޤ.
#
#  $ mkdir data01
#
#ץ¹ԤƤ.
#
#  $ ./dcpam_main -N=dcpam_hs94_T21L20.nml | tee hs94-T21L20.log
#
#ʲΤ褦ʥåɽȤȤ, "data01" ǥ쥯ȥʲ
#5 ĤΥǡϤޤ.
#
#  |*** MESSAGE [HistAuto] ***  ----- "gtool_historyauto_nml" is loaded from "dcpam_hs94_T21L20.nml" -----
#  |*** MESSAGE [HistAuto] ***  Global Settings:
#  |*** MESSAGE [HistAuto] ***    AllOutput       = F
#  |*** MESSAGE [HistAuto] ***    FilePrefix      = data01/
#  |*** MESSAGE [HistAuto] ***    Interval        = 3. [hrs]
#  |*** MESSAGE [HistAuto] ***    Precision       = float
#  |*** MESSAGE [HistAuto] ***    TimeAverage     = F
#  |*** MESSAGE [HistAuto] ***        :
#  |*** MESSAGE [HistAuto] ***  Individual Settings:
#  |*** MESSAGE [HistAuto] ***    Name            = U, V, Temp, Ps, SigDot
#  |*** MESSAGE [HistAuto] ***    File            = data03/<Name>.nc
#  |*** MESSAGE [HistAuto] ***    Interval        = 3. [hrs]
#  |*** MESSAGE [HistAuto] ***    Precision       = float
#
#"data01" ǥ쥯ȥʲνϥեįƤߤޤ礦.
#ѿ "time" ˴ؤ򻲾Ȥ,
#((<ѹ>)) ˹碌ƽϴֳ֤ѹ줿Ȥ狼ޤ. 
#
#  $ ncdump data01/U.nc |more
#
#    netcdf U {
#    dimensions:
#            lon = 64 ;
#            lat = 32 ;
#            sig = 20 ;
#            sigm = 21 ;
#            time = UNLIMITED ; // (161 currently)
#               :
#
#            float time(time) ;
#                    time:long_name = "time" ;
#                    time:units = "hrs" ;
#                                  ^^^  ñ̤ hrs 
#
#    // global attributes:
#               :
#    data:
#               :
#
#     time = 0, 3, 6, 9, 12, 15, 18, 21, 24, 27, 30, 33, 36, 39, 42, 45, 48, 51, 
#        54, 57, 60, 63, 66, 69, 72, 75, 78, 81, 84, 87, 90, 93, 96, 99, 102, 105, 
#        108, 111, 114, 117, 120, ...;
#
#¾ˤ, ѿȤ˸̤˽ѹȤäȤǽǤ.
#ܤ 
#((<gtool5 塼ȥꥢ: ¿ΥեϤԤǥǤΥǡ|URL:http://www.gfd-dennou.org/library/gtool/gtool5/gtool5_current/doc/tutorial/gtauto_first.htm>))
#򻲾Ȥ. 
#
#
#=end JA
#=begin EN
#== Configure output settings
#
#!!! Under construction !!!
#
#=end EN
#
#

##################################################################
#
#=begin JA
#== ͥǡեκ
#
#嵭μ¸Ǥ, ͥǡϼ¹ԥץˤäǺƤޤ. 
#ʲǤ, ͥǡե˽Ϥˡ򵭤ޤ.
#
#ͥǡեץΥץȤ
#((<init_data.F90|URL:../../code_reference/htm/files/main/init_data_F90.html>))
#ѰդƤ, 
#((<dcpam5 Υӥ>)) ˤƥѥ뤵¹ԥե "init_data" Ȥ
#ȥǥ쥯ȥѰդƤϤǤ. 
#
#ޤ, NAMELIST եΥץȤ,
#((<init_data_T21L20.nml|URL:../../../src/main/init_data_T21L20.nml>))
#ʤɤѰդƤޤ.
# NAMELIST եԽ, 
#ʲΤ褦˼¹ԤƤ. 
##ޥɥ饤󥪥ץȤ "-h"  "--help" ꤹ뤳Ȥ, 
##٤Ϥե̾ΰɽޤ. 
#
#  $ ./init_data -N=init_data_T21L20.nml
#
#ξˤ, "init_T21L20.nc" Ȥ̾Υե뤬Ϥޤ. 
#ΥեͥǡȤϤˡ˴ؤƤ,
#((<ͥǡꥹȥǡե>)) 򻲾ȤƤ. 
#
#=end JA
#
#=begin EN
#== Generate initial data file
#
#In the case of above experiment, initial data is generated internally by
#execution program. A way to output initial data to a file is described
#below.
#
#First, as above, move "practice" directory, and create a directory
#for a experiment by "make" command. Then move the directory.
#
#Executive file "init_data" and NAMELIST file
#((<init_data_T21L20.nml|URL:../../../src/main/init_data_T21L20.nml>))
#are prepared for generation of initial data file. 
#At first, edit "init_data_T21L20.nml", and 
#execute as follows.
##If "-h" or "--help" are specified as command line options, 
##the resolution or output files are displayed. 
#
#  $ ./init_data -N=init_data_T21L20.nml
#
#By default, a file named "init_T21L20.nc" is output. 
#In order to use this file as initial data or restart data, 
#See ((<Input initial data or restart data file>)).
#
#=end EN
#
##################################################################


#=begin JA
#== ͥǡꥹȥǡե
#
#ե뤫ͥǡ, ⤷ϥꥹȥǡɤ߹ݤˤ,
#¹Իɤ߹ޤ NAMELIST եΰʲιܤѹƤ. 
#
#  &restart_file_io_nml
#    InputFile = 'init_T21L20.nc',    ! Ϥ/ꥹȥǡΥե̾
#                                    ! filename of input initial/restart data
#              :
#  /
#
#"InputFile" ʬ˽ͥǡ⤷ϥꥹȥǡΥե̾
#ꤷޤ.
#
#NAMELIST եѹ, ʲΤ褦ˤ NAMELIST ե -N
#⤷ --namelist ץ˻ꤷƼ¸ϤƤ.
#
#  $ ./dcpam_main -N=dcpam_hs94_T21L20.nml | tee hs94.log
#
#¸Ϥ, ʲΤ褦ʥǡϤΥåɽޤ. 
#
#  |*** MESSAGE [restart_file_io] ***  ----- Initialization Messages -----
#  |*** MESSAGE [restart_file_io] ***  Input::
#  |*** MESSAGE [restart_file_io] ***    InputFile  = init_T21L20.nc
#  |*** MESSAGE [restart_file_io] ***  Output::
#  |*** MESSAGE [restart_file_io] ***    OutputFile = restart.nc
#  |*** MESSAGE [restart_file_io] ***    IntTime    = 100. [day]
#  |*** MESSAGE [restart_file_io] ***  -- version = ... r |ikawa Exp $
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@U,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@V,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@Temp,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@QVap,time=0.
#  |*** MESSAGE [HistoryGetDouble2] ***  Input init_T21L20.nc@Ps,time=0.
#  |*** MESSAGE [restart_file_io] ***  Initial data (not restart data) is input from a data file "init_T21L20.nc". *B | (t-dt) and *N (t) are same.
#
#
#=end JA
#
#=begin EN
#== Input initial data or restart data file
#
#In order to input initial data or restart data from a file, 
#edit NAMELIST file as follows. 
#
#  &restart_file_io_nml
#    InputFile = 'init_T21L20.nc',    ! filename of input initial/restart data
#              :
#  /
#
#Specify a filename of initial data or restart data to "InputFile". 
#
#After change of NAMELIST file, start an experiment with -N 
#or --namelist option and the NAMELIST file as follows. 
#
#  $ ./dcpam_main -N=dcpam_hs94_T21L20.nml | tee hs94.log
#
#Starting an experiments, following data input messages may be 
#displayed. Confirm them.
#
#  |*** MESSAGE [restart_file_io] ***  ----- Initialization Messages -----
#  |*** MESSAGE [restart_file_io] ***  Input::
#  |*** MESSAGE [restart_file_io] ***    InputFile  = init_T21L20.nc
#  |*** MESSAGE [restart_file_io] ***  Output::
#  |*** MESSAGE [restart_file_io] ***    OutputFile = restart.nc
#  |*** MESSAGE [restart_file_io] ***    IntTime    = 100. [day]
#  |*** MESSAGE [restart_file_io] ***  -- version = ... r |ikawa Exp $
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@U,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@V,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@Temp,time=0.
#  |*** MESSAGE [HistoryGetDouble3] ***  Input init_T21L20.nc@QVap,time=0.
#  |*** MESSAGE [HistoryGetDouble2] ***  Input init_T21L20.nc@Ps,time=0.
#  |*** MESSAGE [restart_file_io] ***  Initial data (not restart data) is input from a data file "init_T21L20.nc". *B | (t-dt) and *N (t) are same.
#
#=end EN
#


#=begin JA
#== ˰¿׻ѹ
#
#  
#=end JA
#=begin EN
#== Change scheme of saturation water vapor
#
#!!! Under construction !!!
#=end EN
#
#
#=begin JA
#== ⥸塼֤ΰ¸طեμư
#
#  
#=end JA
#=begin EN
#== Auto generation of dependency files between modules
#
#!!! Under construction !!!
#=end EN


# =begin JA
# == ¹ԥץι
#
# src ǥ쥯ȥʲԽԤä, ʲΤ褦ˤ뤳Ȥ
# practice ʲμ¸ѥǥ쥯ȥƤñ˹뤳Ȥ
# ǽǤ. 
# #ʤ, src ʲ Fortran 90/95 ץѹ
# #Ԥݤˤ ((<餯餯 dcpam5 ()|URL:../rakuraku>))
# #򻲾ȤƤ. 
#
# ޤ, practice ʲμ¸ѥǥ쥯ȥذưޤ.
#
#   $ cd practice/testXX
#
# ʲΥޥɤϤޤ. 뤫Τ, "Y" 
# Ϥޤ. 
#
#   $ make update
#
#    Update directory "testXX" ? [y/N]: Y
#
# src ǥ쥯ȥǹ줿ե뤬 practice/testXX 
# ԡޤ. Ťե ".bak.XX" Ȥեåղ
# 줿ե̾ѹޤ. 
#
# =end JA
#
# =begin EN
# == Update execution programs
#
# After editing files under "src" directory, update of contents in 
# a directory for a experiment under "practice" is performed easily
# as follows. 
# #If you edit Fortran 90/95 programs under "src", see
# #((<RAKURAKU (easier) dcpam5 (under construction)|URL:../rakuraku/index.htm.en>))
# #for detail. 
#
# Forst, move a directory for a experiment under "practice".
#
#   $ cd practice/testXX
#
# Input a following command. A question whether update them may be
# displayed, then input "Y". 
#
#   $ make update
#
#    Update directory "testXX" ? [y/N]: Y
#
# Updated files under "src" directory are copied into "practice/testXX".
# Old files are renamed to filenames with suffixes ".bak.XX".

# =end EN




=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin
* Held, I. M., and M. J. Suarez, 1994: 
  A proposal for the intercomparison of the dynamical cores of
  atmospheric general circuation models,
  ((|Bull. Am. Meteor. Soc.|)), ((*75*)), 1825--1830.
* Neale, R. B., and B. J. Hoskins, 2001:
  A standard test for AGCMs including their physical parameterizations:
  I: The proposal, 
  ((|Atmos. Sci. Lett.|)), doi:10.1006/asle.2000.0019.
* Polvani, L. M., R. K. Scott, S. J. Thomas, 2004:
  Numerically converged solutions of the global primitive equations for testing 
  the dynamical core of atmospheric GCMs, 
  ((|J. Atmos. Sci.|)), ((*132*)), 2539--2552.
* Yamamoto, M., and M. Takahashi, 2003:
  The fully developed superrotation simulated by a general circulation model 
  of a Venus-like atmosphere,
  ((|J. Atmos. Sci.|)), ((*60*)), 561--574.
=end

=begin HTML
<hr />
<small>
  $Id: index.rd,v 1.4 2012-02-20 08:18:01 takepiro Exp $
</small>
=end HTML

